{% extends "base.html" %}

{% block title %}Register Form {% endblock %}

{% block content %}
    <div class="container min-vh-100">
        <div class="lg-w-25">

            <h1 class="text-center">Register form</h1>
    
            <form action="{% url 'todolist:register' %}" method="POST">
                {% csrf_token %}
                <div class="mb-3">
                    <label for="username" class="form-label">Username:</label>
                    <input type="text" class="form-control" id="username" value = "{{username}}" maxlength="50" required name = "username">
                </div>
                <div class="mb-3">
                    <label for="first_name" class="form-label">First Name:</label>
                    <input type="text" class="form-control" id="first_name" value = "{{first_name}}" maxlength="50" required name = "first_name">
                </div>
                <div class="mb-3">
                    <label for="last_name" class="form-label">Last Name:</label>
                    <input type="text" class="form-control" id="last_name" value = "{{last_name}}" maxlength="50" required name = "last_name">
                </div>
                <div class="mb-3">
                    <label for="email" class="form-label">Email:</label>
                    <input type="email" class="form-control" id="email" value ="{{email}}" maxlength="50" required name = "email">
                </div>
                <div class="mb-3">
                <label for="password" class="form-label">Password:</label>
                <input type="password" class="form-control" id="password" value = "{{password}}" maxlength="50" required name = "password">
                </div>
                </div>
                <div class="mt-3">
                    <button type="submit" class="btn btn-primary" href="{% url 'todolist:index' %} ">Submit</button>

                </div>
            </form>
        </div>
    </div>

{% endblock %}













<!-- {% if is_user_registered == False %}
    <h1>User Successfully Created!</h1>

    <p>The account for {{first_name}} {{last_name}} has benn successfuly registered</p>
    
{% else %}
    <h1> Duplicate User Found!</h1>
    <p>A duplicate user has benn found, user creation unsuccessful</p>


{% endif %} -->
